%define name ident2
%define version v0.997BETA
%define release 1
%define builddir $RPM_BUILD_DIR/%{name}-%{version}
Name:		%{name}
Version:	%{version}
Release:	1
Vendor:		Michael Bacarella <defile@nyct.net>
Source:         ident2.tar.gz
Source1:	ident2.conf
Group:		Daemons
Copyright:	GPL
Summary:	Ident-2 - 2nd Generation Identity/Auth server
Conflicts:	pidentd

%description
Ident-2 - 2nd Generation Identity/Auth server, for Linux Systems
Features:
- users can set their own ident reply by doing:
                echo "newidentreply" > ~/.ident

After install this package change line in /etc/inetd.conf:
"auth  stream  tcp  nowait  nobody  /usr/sbin/in.identd in.identd -l -e -o"
to:
"auth  stream  tcp  nowait  nobody  /usr/sbin/in.identd2 in.identd2 -s90 -n"

%changelog
* Mon Aug 10 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- updated to 0.997BETA
- modified %description (start ident2 as nobody)

* Wed Jul 15 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- initial package version

%prep
%setup -n ident2

%build
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc
cp ident2 $RPM_BUILD_ROOT/usr/sbin/in.identd2
cp $RPM_SOURCE_DIR/ident2.conf $RPM_BUILD_ROOT/etc

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{builddir}

%files
%doc CHANGES README
%attr(755,root,root) /usr/sbin/in.identd2
%config %attr(644, nobody, nobody) /etc/ident2.conf
